aboutsummaryrefslogtreecommitdiffstats
path: root/testing/pure-ftpd/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2011-03-31 12:25:20 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2011-03-31 12:26:10 +0000
commitea6f37407162790ebc283d23bf7edb2812aea647 (patch)
treecafc40c381432cc681b080a383821105efbfedbf /testing/pure-ftpd/APKBUILD
parent7faef200060e1a0e2f098a349bf6c1ea9a7dcb5d (diff)
downloadaports-ea6f37407162790ebc283d23bf7edb2812aea647.tar.gz
aports-ea6f37407162790ebc283d23bf7edb2812aea647.tar.bz2
aports-ea6f37407162790ebc283d23bf7edb2812aea647.tar.xz
testing/pure-ftpd: rename dir and use gentoo init.d scripts
Diffstat (limited to 'testing/pure-ftpd/APKBUILD')
-rw-r--r--testing/pure-ftpd/APKBUILD53
1 files changed, 53 insertions, 0 deletions
diff --git a/testing/pure-ftpd/APKBUILD b/testing/pure-ftpd/APKBUILD
new file mode 100644
index 0000000000..acf12a77da
--- /dev/null
+++ b/testing/pure-ftpd/APKBUILD
@@ -0,0 +1,53 @@
+# Contributor: Douglas Haber <me@douglashaber.com>
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=pure-ftpd
+pkgver=1.0.30
+pkgrel=2
+pkgdesc="Pure FTPD FTP daemon"
+url="http://pureftpd.org"
+arch="all"
+license="GPL"
+depends=
+depends_dev=
+makedepends="$depends_dev"
+install=""
+subpackages=""
+source="http://download.pureftpd.org/pub/pure-ftpd/releases/$pkgname-$pkgver.tar.gz
+ pure-ftpd.initd
+ pure-ftpd.confd"
+
+_builddir="src/$pkgname-$pkgver"
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --without-humor \
+ --without-unicode \
+ --with-minimal \
+ --with-throttling \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ install -m755 -D ../$pkgname.initd \
+ "$pkgdir"/etc/init.d/$pkgname || return 1
+
+ install -m644 -D ../$pkgname.confd \
+ "$pkgdir"/etc/conf.d/$pkgname || return 1
+}
+
+md5sums="29e2a68e756d09f4aff8f4f76435b020 pure-ftpd-1.0.30.tar.gz
+4805788f4aeeb4efee64ddad0b526c3c pure-ftpd.initd
+5f1d2a2d353fc00bc39efa0ae6f1955f pure-ftpd.confd"